﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Creating Endpoints</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1><a name="top"></a>Creating Endpoints</h1>
        <p>Endpoints represent third-party applications in Identity Governance and Administration (IGA). Endpoints are created under security systems. A security system can contain one or multiple endpoints of the same type.</p>
        <p>Endpoint allows you to assign two types of owners to tasks in disconnected applications: Endpoint Owner and Provisioning Owner.</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col class="TableStyle-Default-Table-Column-Column1" />
                <col class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Endpoint Owner</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Provisioning Owner</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Choose an&#160;Endpoint Owner when a task has a single owner and is&#160;configured with a single level approval.</p>
                            <p>
                                <br />
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Choose Provisioning Owners for a task that has multiple steps&#160;that require&#160;manual provisioning and needs to flow through multiple approvers.</p>
                            <p class="table-text">For example, a task that includes the following steps:</p>
                            <ul>
                                <li>
                                    <p class="table-text">Create an account for a new user in Active Directory.</p>
                                </li>
                                <li>
                                    <p class="table-text">Create an account for the user in Exchange.</p>
                                </li>
                                <li>
                                    <p class="table-text">Create an ID card for the user.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <p>To create an endpoint, perform the following steps:</p>
        <ol>
            <li>
                <p>Go to <strong>ADMIN &gt; Identity Repository &gt; Security Systems &gt; Endpoints</strong>.</p>
            </li>
            <li>
                <p>Click&#160;<strong>Action</strong>&#160;and select <strong>Create Endpoint</strong>.</p>
            </li>
            <li>
                <p class="auto-cursor-target">Provide values for&#160;<strong>Create New Endpoint</strong> parameters and click <strong>Create</strong>. Parameters marked with * are mandatory.</p>
                <div class="table-wrap">
                    <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                        <col style="width: 10.0056%;" class="TableStyle-Default-Table-Column-Column1" />
                        <col style="width: 89.8895%;" class="TableStyle-Default-Table-Column-Column1" />
                        <thead>
                            <tr class="TableStyle-Default-Table-Head-Header1">
                                <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                                <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Endpoint Name <span style="color: rgb(255,102,0);">*</span></p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Enter the name of the endpoint. Provide a logical name for the endpoint that will help you to easily identify the endpoint.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Display Name <span style="color: rgb(255,102,0);">*</span></p>
                                </td>
                                <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Enter a name for the endpoint that will be displayed in the user interface. Display Name can be different from Endpoint Name. <br class="atl-forced-newline" />For example: You can specify the Display Name as Active Directory and Endpoint Name as AD. In the Saviynt UI, when you are viewing the endpoint list and in all other UI instances, Active Directory name will appear as given in the Display name.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Security System</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select the security system for which you want to create an endpoint.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Description</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Enter the description of the endpoint.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Owner Type</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p style="margin-left: 0.0px;text-align: left;" class="table-text">Select the owner type for the endpoint. An endpoint can be owned by a user or a user group. The options are:</p>
                                    <ul>
                                        <li>
                                            <p class="table-text"><strong>User: </strong>Select this option to restrict ownership access only to a particular user.</p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>User Group: </strong>Select this option to restrict ownership access only to a user group.</p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Owner</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Select Owner as a particular user or a user group based on the value specified for Owner Type. The endpoint details can only be updated by the owner specified in this parameter.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Provisioning Owner</p>
                                    <p class="table-text">(Available from Release v2021.0 onwards)</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">A Provisioning Owner manually&#160;approves the provisioning tasks for&#160;disconnected applications. You can select Provisioning Owner as a particular user or a user group based on the value specified for <strong>Provisioning Owner Type</strong>.&#160;</p>
                                    <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                        <p class="note">This parameter is only applicable for disconnected applications.&#160;</p>
                                    </div>If a&#160;provisioning task needs approval by&#160;multiple provisioning&#160;owners, the task moves from one owner to the next owner after approval based on the owner's rank&#160;in ascending order from 1 to 10.&#160;When the owner with rank1 (or the least rank) or the first owner has performed an action on the task, the status of the task is changed from<strong>New</strong> to <strong>In Progress</strong>. The status remains as <strong>In Progress</strong>&#160;until the last owner with the highest rank completes the task after which the status is updated to <strong>Completed</strong>.&#160;The owners receive email notifications based on the email templates defined in the&#160;<b>Add Email Template&#160;field.&#160;</b><p class="table-text">If no owners are configured for the task, the task is assigned to the owner of the endpoint associated with the disconnected application.</p><p class="table-text">To add a provisioning owner click <strong>Add. </strong>The&#160;<strong>Add Multi-Step Provisioning Owners</strong> page is displayed.</p><p><img src="../../Resources/Images/Add Multi-Step Provisioning.png" style="width: 758px;height: 506px;" /></p><p class="table-text">Figure: Add Multi-Step Provisioning Owners page</p><p class="table-text">To configure user or a user group as a Provisioning Owner,&#160;perform the following steps:</p><ol style="list-style-type: lower-alpha;"><li><p class="table-text">Select a&#160;user or a user group from&#160;<b>Provisioning Owner Type</b>. The options are:</p><ul><li><p class="table-text"><strong>User: </strong>Select this option to restrict the provisioning ownership access to a particular user.</p></li><li><p class="table-text"><strong>User Group: </strong>Select this option to restrict the provisioning ownership access to a user group.</p></li></ul></li><li><p class="table-text">Select a user or a user group from&#160;<b>Available User List</b> by clicking <b>Add</b>.&#160;The selected owners along with their ranks are displayed in the&#160;<b>Added Owner</b> section.</p></li><li><p class="table-text">(Optional)&#160;To change the rank of an owner, click&#160;<b>Rank</b>.</p></li><li><p class="table-text">(Optional)&#160;To remove an owner, click&#160;<b>Remove</b>.</p></li><li><p class="table-text">Click <b>Save</b> to save the configuration.</p></li><li><p class="table-text">(Optional) Select <b>Edit</b>&#160;to modify an existing owner and to add new owners.</p></li><li><p class="table-text">(Optional) Select <b>Delete</b>&#160;to remove the existing owners.</p></li></ol><div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;"><p class="note">Rank of a user or a user group is unique and the same rank cannot be assigned to multiple owners. The task is assigned to the owner with rank 1 and moves to the next rank after it is approved by this owner.</p></div></td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Resource Owner Type</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the owner type for a resource, which is typically an application owner or a user group. This parameter is used for request approvals in workflows.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Resource Owner</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify the owner of the resource. The value specified in this parameter is internally used in workflows for approving request for the endpoint. </p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Custom Property 1-65</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Custom properties are used to define static values in IGA. For example, if an endpoint has Location as one of the properties, you can define Location as a custom property in the endpoint. The custom property can also be used for filtering data.</p>
                                    <p class="table-text">Custom properties can hold different type of&#160;data.  &#160;Data types for the following custom properties have been defined&#160;in the database in IGA&#160;5.5.x:</p>
                                    <p class="table-text"><b>CUSTOMPROPERTY41 - 55:</b>&#160;tinytext<br /><b>CUSTOMPROPERTY56 - 59:</b>&#160;mediumtext<br style="font-weight: bold;" /><b>CUSTOMPROPERTY60-65:</b>&#160;longtext</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">CONNECTION CONFIGURATION</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify this parameter for managing Active Directory groups from the user interface. </p>
                                    <ol style="list-style-type: lower-alpha;">
                                        <li>
                                            <p class="table-text">Set the value of ConnectionConfig to &lt;ADDMEMBERTOENT&gt;True&lt;/ADDMEMBERTOENT&gt;. </p>
                                        </li>
                                        <li>
                                            <p class="table-text">In Show Endpoints, add &lt;conf&gt;&lt;ADDMEMBERTOENT&gt;True&lt;/ADDMEMBERTOENT&gt; &lt;/conf&gt; in the ConnectionConfig parameter. </p>
                                        </li>
                                        <li>
                                            <p class="table-text">Specify &lt;ADDMEMBERTOENT&gt;True&lt;/ADDMEMBERTOENT&gt; between &lt;conf&gt; and &lt;/conf&gt;. </p>
                                        </li>
                                    </ol>
                                    <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                        <p class="note">In earlier releases, these actions were directly performed in the database.</p>
                                    </div>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Access Query</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Enter a query to filter the access and display of the endpoint to specific identity objects. If you do not define a query, the endpoint is displayed for all the users. If you define two users, the endpoint is shown only to those two users.&#160;For example, to display an endpoint only to permanent employees and not the contractual employees, specify user.employeeType=P as the query.&#160;</p>
                                    <p class="table-text"><b>Sample Queries:</b>
                                    </p>
                                    <ul>
                                        <li>
                                            <p class="table-text"><span class="attr">WHERE users.firstname = 'firstname' and users.email='email'</span>
                                            </p>
                                        </li>
                                        <li>
                                            <p class="table-text"><span class="attr">where users.userkey in (select userkey from user_accounts where accountkey in (select accountkey from accounts where endpointkey =73 and accountkey in (select accountkey from account_entitlements1 where entitlement_valuekey in (select entitlement_valuekey from entitlement_values where entitlement_value in ('In Boundary Access Prerequisite') and accounts.status in ('Manually Provisioned','Active','1')))))</span>
                                            </p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Enable Copy Access</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify this parameter to enable users to copy access from other users while requesting access. When this parameter is enabled, the <strong>Enable Copy Access</strong>&#160;option is displayed in ARS &gt; Request Access for Others.&#160;</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Disable Modify Account</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify this parameter to disable the ability to modify accounts in applications belonging to the endpoint.&#160;When this parameter is enabled, the&#160;MODIFY ACCOUNT option is displayed in ARS for already assigned accounts.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Account Name Rule</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <div class="content-wrapper">
                                        <p class="table-text">Specify this parameter to generate an Account Name rule. This is typically useful in&#160;provisioning new accounts for an application where you can use it to generate a unique account ID or account name based on business logic such as Identity's first name + Last name + Employee ID, Random number, GUID, or incremental series such as "A0001", "A000B".</p>
                                        <p class="table-text">You can&#160;generate an Account Name rule using <strong>Basic Config</strong> and&#160;<strong>Advanced Config </strong>options. In <strong>Advanced Config</strong>, you can use MySql query-based rules, which enables you to use the OOTB MySQL functions such as GUID and Random number.</p>
                                        <p class="table-text"><strong>Basic Config</strong>
                                        </p>
                                        <p class="table-text">While generating a new Account Name for an endpoint, IGA performs a uniqueness check against all the existing account names of the endpoint using the '<strong>Check for the unique accounts</strong>' parameter, which checks the uniqueness of the account name based on the status of the account. By default, the value of the parameter is set to&#160;<strong>ALL</strong> is selected, which is not used to evaluate the accounts. T check the uniqueness of the account name, select one or more account statuses - active, inactive, manually provisioned, manually suspended, Suspended from Import. If an account name already exists in IGA and an account request for the same user for the same endpoint is submitted in ARS, the&#160;<strong>Account with the same name exists</strong>&#160;message is displayed in the 2nd step of the request.</p>
                                        <p class="table-text">If you select accounts with status " Suspended from import service" as a criteria for creating accounts, the text "-Deleted-on-DATETIME" is excluded from the status of the account name and the actual name of the user is considered for the uniqueness check. For example, abansal-Deleted on-2019-06-25 06:38:12. The actual name, abansal, is considered.</p>
                                        <p class="table-text">To create an Account Name rule, select the user's property from the drop-down. To define multiple matching rules, click the <strong>(+)</strong> icon in <strong>Action</strong>.</p>
                                        <p class="table-text">To configure an Account name rule, perform the following steps:</p>
                                        <ol>
                                            <li>
                                                <p class="table-text">Select the desired user attribute from the list in <strong>Users.</strong></p>
                                            </li>
                                            <li>
                                                <p class="table-text">Specify&#160;<strong>InitialChar.</strong></p>
                                            </li>
                                            <li>
                                                <p class="table-text">Click the + icon to add user attributes if you want to generate the Account Name rule is generated using values of multiple user attributes.&#160;For example, generate a rule using the first five characters of Username, first three characters of Firstname, and last two characters of Lastname.</p>
                                            </li>
                                            <li>
                                                <p class="table-text">Click <strong>Save</strong>.</p>
                                            </li>
                                        </ol>
                                        <p class="table-text">To maintain the uniqueness of the account name, use the <strong>Auto Increment</strong> option from the drop-down. When this option is used, the specified numeric value is appended along with other criteria such as Firstname, Lastname, and Display Name and subsequent account names are incremented starting from the specified value and incremented by '+1'.</p>
                                        <p class="table-text">IGA enables you to use <strong>Random Numeric</strong> and <strong>Random Alphabetic</strong> options in account name generation to ensure the uniqueness.</p>
                                        <p class="table-text">Using the <strong>Special Character Support</strong> field in the&#160;<strong>Add Rule</strong> window, you can externalize the support of special characters in the system username. The account name is generated as per rule configured with the allowed characters. For example, !,@,#,&amp;.</p>
                                        <p class="table-text"><strong>Advanced Config&#160;</strong>
                                        </p>
                                        <ul>
                                            <li>
                                                <p class="table-text">For generating a new Account Name rule for an endpoint, use the advanced (SQL) query:<br /><span class="attr">concat(substring(users.firstname,1,30),substring(users.lastname,1,12),substring(users.displayname,1,12))</span></p>
                                            </li>
                                        </ul>
                                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                            <p class="note"> Database functions like concat and substring are supported. However, custom functions are not supported.</p>
                                        </div>
                                        <ul>
                                            <li>
                                                <p class="table-text">If you want to generate the Account Name rule based on conditions, use the If-else query.&#160;For example, define a set of conditions that the Account Name rule must check and if the conditions are met,&#160;corresponding actions are triggered. <br />Sample data: Two users with the below details are added to IGA.</p>
                                                <ul>
                                                    <li>
                                                        <p class="table-text"><strong>User 1: </strong>A user with firstname John, City Bangalore, and last name Admin.&#160;</p>
                                                    </li>
                                                    <li>
                                                        <p class="table-text"><strong>User 2: </strong>A user with firstname: Steve, City Mumbai, and lastname Michael.</p>
                                                    </li>
                                                </ul>
                                            </li>
                                        </ul>
                                        <p class="table-text">Let us define a query with conditions where the&#160;firstname of the users is checked followed by checking the city if it is available. If city is not available, the critical condition of lastname is checked and validated if it is 'Admin'.&#160;As the last name of the user 'John' is 'Admin', the Account Name rule is generated by concating firstname and lastname as specified in the below query. Hence, 'JohnAdmin' is the account name for the user with firstname 'John'.<br />concat(users.firstname, users.city, (case when (users.lastname = 'Admin')<br />THEN<br />concat(users.firstname,users.lastname)<br />ELSE<br />users.lastname<br />END))</p>
                                        <p class="table-text">For the user named&#160; Steve, the firstname is checked, city is checked if it is available, and the critical condition of lastname is checked and found as 'Michael'. In this case, the ELSE action is triggered and the account name for this user is generated with lastname, which is 'Michael'.</p>
                                        <p class="table-text">Specify the list of special character that you want to use in account names in the <strong>Special Character Support</strong> field in the&#160;<strong>Add Rule</strong> window. Account names are generated as per the rule configured with allowed characters in the field. For example, !,@,#,&amp;.</p>
                                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                            <ul>
                                                <li>
                                                    <p class="note">The special character, comma (,) is not currently supported with the Account Name rule.</p>
                                                </li>
                                                <li>
                                                    <p class="confluence-information-macro has-no-icon confluence-information-macro-information conf-macro output-block">If you are using ARS new experience, the Account Name rule configured is also applicable to generate the account name for endpoints grouped in an application collection. (Applicable from Release v2021.0 onwards)</p>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Disable Remove Account</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">Specify this parameter to disable the ability to remove the already assigned accounts in applications belonging to the endpoint.&#160;When this parameter is enabled, the&#160;REMOVE ACCOUNT option is displayed in ARS for already assigned accounts.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Disable New Account Request if Account Already Exist</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <div class="content-wrapper">
                                        <p class="table-text">If you enable the <strong>Disable New Account Request if Account Already Exist</strong>, you will get an option ADD TO CART to request for another account for the user, even if the user is already having 1 or more account for the endpoint.</p>
                                        <p class="table-text">If you disable the <strong>Disable New Account Request if Account Already Exist</strong>, you will not get an option ADD TO CART to request for another account for the user having 1 or more account for the endpoint.</p>
                                        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
                                            <p class="note">You can enable this configuration for all access requests except for Service Account requests. The message is also displayed when you hover over the Info<img src="../../Resources/Images/info.png" style="width: 24px;height: 24px;" /> icon. (Available from Release v5.5.2 onwards)</p>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Disable Remove Service Account</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p style="text-align: left;" class="table-text">You can use this parameter to enable or disable<strong> Remove Account</strong> option to end users in <strong>Manage Service Accounts</strong> page.</p>
                                    <p style="text-align: left;" class="table-text">The following options are available:</p>
                                    <ul class="ak-ul" style="text-align: left;">
                                        <li>
                                            <p class="table-text"><strong>ON: </strong>Select this option to disable&#160;<strong>Remove Account</strong> option for an&#160;<span style="color: rgb(38,50,56);">end users to remove any existing service accounts for the endpoint</span></p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>OFF: </strong>Select this option to enable&#160;<strong>Remove Account</strong> option for an&#160;<span style="color: rgb(38,50,56);">end users to remove any existing service accounts for the endpoint</span></p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Disable Modify Service account</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p style="text-align: left;" class="table-text">You can use this parameter to enable or disable<strong> Modify Existing&#160; Account</strong> option to end users in <strong>Manage Service Accounts</strong> page.</p>
                                    <p style="text-align: left;" class="table-text">The following options are available:</p>
                                    <ul class="ak-ul" style="text-align: left;">
                                        <li>
                                            <p class="table-text"><strong>ON: </strong>Select this option to disable <strong>Modify Existing Account</strong> option for an&#160;<span style="color: rgb(38,50,56);">end users to modify any existing service accounts for the endpoint</span></p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>OFF: </strong>Select this option to enable&#160;<strong>Modify Existing Account</strong> option for an&#160;<span style="color: rgb(38,50,56);">end users to modify any existing service accounts for the endpoint</span></p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Disable New Account Request if Service Account Already Exist</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p style="text-align: left;" class="table-text">You can use this parameter to enable or disable<strong>&#160;Add to Cart&#160;</strong>option to an end user in <strong>Manage Service Accounts</strong> page,&#160;when service account already exists for an endpoint.</p>
                                    <p style="text-align: left;" class="table-text">The following options are available:</p>
                                    <ul class="ak-ul" style="text-align: left;">
                                        <li>
                                            <p class="table-text"><strong>ON: </strong>Select this option to disable <strong>Add to Cart </strong>option for an&#160;<span style="color: rgb(38,50,56);">end users to request for a new service account, if the service account already exists at the same endpoint.</span></p>
                                        </li>
                                        <li>
                                            <p class="table-text"><strong>OFF: </strong>Select this option to enable&#160;<strong>Add to Cart </strong>option for an&#160;<span style="color: rgb(38,50,56);">end users to request for a new service account irrespective of their service accounts at the same endpoint.</span></p>
                                        </li>
                                    </ul>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                                    <p class="table-text">Copy Service Account Request Data</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                                    <p class="table-text">If selected then the&#160;option to copy data in Step 3 of the service account request should be enabled. If it is disabled then the option to copy data in Step 3 of the service account is not provided.</p>
                                </td>
                            </tr>
                            <tr class="TableStyle-Default-Table-Body-Body1">
                                <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                                    <p class="table-text">Plugin Configuration</p>
                                </td>
                                <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                                    <p class="table-text">The Plugin Configuration drives the functionality of the Saviynt SmartAssist (Browserplugin). You can provide whitelisted URLs in PluginConfigs for those applications for which you want to provide recommendations to a user for missing permissions when the user accesses the respective application. The user can directly request for the additional accesses from the browser extension instead of logging in to IGA.</p>
                                    <p class="table-text">For example, if you have provided Concur application URL in the PluginConfigs and a user is having 5 access permissions out of 10 available with Concur then using Saviynt SmartAssist (BrowserPlugin), the user will be provided a recommendation to request for the missing 5 accesses. User can request for the missing 5 accesses for Conur from the browser extension itself.</p>
                                    <p class="table-text">This parameter needs to be specified in JSON format only. A JSON sample is shown below: </p>
                                    <MadCap:codeSnippet>
                                        <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                                        <MadCap:codeSnippetCaption>JSON</MadCap:codeSnippetCaption>
                                        <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">{
"features": [
{
"type": "ACCESS",
"url": [
"concur.com"
],
"maxRecomendationCount": -1
}
]
}</MadCap:codeSnippetBody>
                                    </MadCap:codeSnippet>
                                    <p class="table-text">For more information, see section <MadCap:xref href="../../Chapter08-Advanced-Administrator-Tasks/Saviynt-Smart-Assist-Browser-Plug-In.htm#top">Saviynt Smart Assist Browser Plug-In</MadCap:xref>.</p>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </li>
            <li>
                <p>Click <strong>Other Attributes</strong> to configure any custom property labels.</p>
            </li>
            <li>
                <p>Click <strong>Create</strong> to create an endpoint.</p>
            </li>
        </ol>
    </body>
</html>